/* 	CreateProjects.js 
	Script for BrainVoyager QX 2.2
	By Rainer Goebel 1995-2009
	Modified for BVQX 2.1 by Hester Breman 2009.
*/

var ObjectsRawDataPath = "/Users/hester/Data/ObjectsDicomGSG/";
var DTIDataPath = "/Users/hester/Data/Human31dir/";
var OtherDataPath = "/Users/hester/Data/testdata/qx21beta1/unsucceeded_IMA_files/";

/* This is the code being directly executed */
// now create the projects
//BrainVoyagerQX.PrintToLog("Create FMR project...");
//Create_FMR_Project();
//BrainVoyagerQX.PrintToLog("Create mosaic FMR project...");
//Create_Mosaic_FMR_Project();
BrainVoyagerQX.PrintToLog("Create VMR project...");
Create_VMR_Project();
//BrainVoyagerQX.PrintToLog("Create DMR project...");
//Create_DMR_Project();
//BrainVoyagerQX.PrintToLog("Create AMR project...");
//Create_AMR_Project();
 
/* Project properties:
TR (property)
	set via: docFMR.TR = 2000;
InterSliceTime (property)
NrOfVolumes (property)
PixelSizeOfSliceDimX (property)
PixelSizeOfSliceDimY (property)
InterSliceTime (property)
SliceThickness  (property)
GapThickness  (property)
VoxelResolutionVerified (property)
TimeResolutionVerified (property)
FileNameOfPreprocessdFMR (property)
	get via: var newname = docFMR.FileNameOfPreprocessdFMR;
*/

/* This code is only executed when invoked */
function Create_FMR_Project() 
{
 	var docFMR = BrainVoyagerQX.CreateProjectFMR( "DICOM", OtherDataPath + "SanBar_081008_AstDal-0007-0001-00001.dcm", 1, 0, true, 32, "untitled", false, 64, 64, 2, OtherDataPath + "Script/" );
	docFMR.SaveAs("NonMosaicDICOM_SCRIPT.fmr");
	docFMR.Close();
}

function Create_Mosaic_FMR_Project()
{
    var docFMR = BrainVoyagerQX.CreateProjectMosaicFMR("DICOM", ObjectsRawDataPath + "BetSog_20040312_Goebel_C2 -0003-0001-0001.dcm", 252, 2, true, 25, "untitled-", false, 320, 320, 2, ObjectsRawDataPath, 1, 64, 64 );
    docFMR.SaveAs( "CG_OBJECTS_SCRIPT.fmr" );
    docFMR.Close();
}

function Create_VMR_Project() 
{
      var docVMR = BrainVoyagerQX.CreateProjectVMR( "DICOM", ObjectsRawDataPath + "BetSog_20040312_Goebel_C2 -0002-0001-0001.dcm", 192, false, 256, 256, 2 );
      docVMR.SaveAs( "CG_3DT1MPR_SCRIPT.vmr" );
	docVMR.Close();
}

function Create_DMR_Project() 
{
	var docDMR = BrainVoyagerQX.CreateProjectDMR("DICOM", DTIDataPath + "pimpul_070907_dti -0007-0001-00001.dcm", 31, 0, true, 75, "human31dir", false, 128, 128, 2, "/Users/hester/Data/Human31dir" );
	docDMR.SaveAs("HUMAN31DIR_SCRIPT.dmr");
	docDMR.TR = 8900;
	docDMR.InterSliceTime = 118;
	docDMR.TimeResolutionVerified = true;
	docDMR.Save();
	docDMR.Close();
}

function Create_AMR_Project()
{
      var docAMR = BrainVoyagerQX.CreateProjectAMR( "DICOM", ObjectsRawDataPath + "BetSog_20040312_Goebel_C2 -0001-0001-0001.dcm", 3, false, 256, 256, 2 );
      docAMR.SaveAs("CG_SLICELOCALIZER_SCRIPT.amr");
	docAMR.Close();
}

