
/* 	CreateVTCfiles.qs
	Script to create VTC files 
	By Rainer Goebel 2005
	Modified for QX 2.1 by Hester Breman 2009
*/

/* This information is used in the functions */
	var ObjectsRawDataPath = "/Users/hester/Data/ObjectsDicomGSG/";
	var DTIDataPath = "/Users/hester/Data/Human31dir/";
	var today = new Date();
	var nameFMR = ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_SCLAI_3DMCTS_SD3DSS4.00mm_LTR_THP3c_TDTS10.0s.fmr";
	var nameVMRinNative = ObjectsRawDataPath +"CG_3DT1MPR_SCRIPT.vmr";
	var nameVMRinAcpc = ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_ACPC.vmr";
	var nameVMRinTal = ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_TAL.vmr";
	var nameIAfile = ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_SCLAI_3DMCTS_SD3DSS4.00mm_LTR_THP3c_TDTS10.0s-TO-CG_3DT1MPR_SCRIPT_IA.trf";
	var nameFAfile = ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_SCLAI_3DMCTS_SD3DSS4.00mm_LTR_THP3c_TDTS10.0s-TO-CG_3DT1MPR_SCRIPT_FA.trf";
	var nameACPCfile = ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_ACPC.trf";
	var nameTALfile = ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_ACPC.tal";
	var nameVTCinNative= ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_VMR.vtc";
	var nameVTCinACPC = ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_ACPC.vtc";
	var nameVTCinTAL= ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_TAL.vtc";
	var dataType = 2; // 1: int16, 2: float32
	var resolution = 2; // one of 1, 2 or 3 mm^2
	var interpolation = 1; 
	var threshold = 100; 
	var extendedBoundingBox = false;

/* 	This code is executed when clicking 'Run' 
	If an error occurs, it is printed to the BrainVoyager QX Log tab 
*/
	BrainVoyagerQX.ShowLogTab();
	BrainVoyagerQX.PrintToLog("Start creating VTCs...");
	try {
		CreateVMRinNativeSpace(); 
		CreateVMRinAcpcSpace();
		CreateVMRinTalairachSpace(extendedBoundingBox); // make a VTC in Talairach space with extended bounding box = false
		extendedBoundingBox = true;
		var nameVTCinTAL= ObjectsRawDataPath + "CG_OBJECTS_SCRIPT_TAL_ext.vtc"; // rename, so that the file won't be overwritten
		CreateVMRinTalairachSpace(extendedBoundingBox); // make a VTC in Talairach space with extended bounding box (in z-dir)
	} catch (e) {
		BrainVoyagerQX.PrintToLog("Error: " + e);
	}

/* These functions are invoked from the section above */
	function CreateVMRinNativeSpace() 
	{
		var docVMR = BrainVoyagerQX.OpenDocument(nameVMRinNative);
		docVMR.ExtendedTALSpaceForVTCCreation = false; // this is true or false
		var success = docVMR.CreateVTCInVMRSpace(nameFMR, nameIAfile, nameFAfile, nameVTCinNative, dataType, resolution, interpolation, threshold);
		docVMR.Close();
	}

	function CreateVMRinAcpcSpace() 
	{
		var docVMR = BrainVoyagerQX.OpenDocument(nameVMRinAcpc);
		docVMR.ExtendedTALSpaceForVTCCreation = false; // this is true or false
		var success = docVMR.CreateVTCInACPCSpace(nameFMR, nameIAfile, nameFAfile, nameACPCfile, nameVTCinACPC, dataType, resolution, interpolation, threshold);
		docVMR.Close();
	}

	function CreateVMRinTalairachSpace(useExtendedBoundingBox) 
	{
		var docVMR = BrainVoyagerQX.OpenDocument(nameVMRinTal);
		docVMR.ExtendedTALSpaceForVTCCreation = useExtendedBoundingBox; // this is true or false
		var success = docVMR.CreateVTCInTALSpace(nameFMR, nameIAfile, nameFAfile, nameACPCfile, nameTALfile, 
													nameVTCinTAL, dataType, resolution, interpolation, threshold);
		docVMR.Close();
	}
