// HelperFuns.js
// Functions for BrainVoyager QX 2.1


// Every line that is not commented (green) will be executed when clicking 'Run'
printHeaderProperties();
Move_window();
Welcome_Message();
var Doc = BrainVoyagerQX.ActiveDocument;
BrainVoyagerQX.ShowLogTab();
BrainVoyagerQX.PrintToLog("Document is: " + (CheckDoc(Doc) ? "present." : "not present"));

var dicomdir = "/Users/hester/Data/testdata/qx21beta1/unsucceeded_IMA_files/";
BrainVoyagerQX.RenameDicomFilesInDirectory(dicomdir);

// These functions can be invoked from above
function CheckDoc( Doc )
{
	if(typeof(Doc) == undefined)
		return false;
	return true;
}

function Move_window()
{    
	var x = BrainVoyagerQX.x;
	var y = BrainVoyagerQX.y;
	
	for(i=1; i<=10; i++)
	{
		BrainVoyagerQX.MoveWindow(x+5*i, y+5*i);
	}
}

function Welcome_Message()
{
	BrainVoyagerQX.ShowLogTab();
	BrainVoyagerQX.PrintToLog("Welcome to BrainVoyager scripting!");
}

function printHeaderProperties() {

	var bvqxproject = BrainVoyagerQX.ActiveDocument;
	BrainVoyagerQX.PrintToLog("Repetition time (TR): " + bvqxproject.TR);
	BrainVoyagerQX.PrintToLog("Inter slice time (IST): " + bvqxproject.InterSliceTime);
	BrainVoyagerQX.PrintToLog("Number of volumes: " + bvqxproject.NrOfVolumes); // for FMR
	BrainVoyagerQX.PrintToLog("Pixel size of x-dimension: " + bvqxproject.PixelSizeOfSliceDimX); // for FMR
	BrainVoyagerQX.PrintToLog("Pixel size of y-dimension " + bvqxproject.PixelSizeOfSliceDimY); // for FMR
	BrainVoyagerQX.PrintToLog("Slice thickness: " + bvqxproject.SliceThickness); // for FMR
	BrainVoyagerQX.PrintToLog("Gap size: " + bvqxproject.GapThickness); 
	BrainVoyagerQX.PrintToLog("Voxel resolution verified: " + bvqxproject.VoxelResolutionVerified);
	BrainVoyagerQX.PrintToLog("Time resolution verified: " + bvqxproject.TimeResolutionVerified);
	BrainVoyagerQX.PrintToLog("VMR voxel resolution: x: " + bvqxproject.VMRVoxelResolutionX + ", y: " + bvqxproject.VMRVoxelResolutionY + ", z: " + bvqxproject.VMRVoxelResolutionZ); // for VMR
}

