/* 	SurfaceFunctions.qs
	Script to visualize surface files 
	For BrainVoyager QX 2.1
*/

/* This information is used in the functions */
var ObjectsRawDataPath = "/Users/hester/Data/ObjectsDicomGSG/";
var nameVMRinTal = ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_CLEAN_TAL.vmr";


/* This code will be executed when clicking 'Run' */
LoadVMRandSRF();
SurfaceViewpoints();

/* These functions can be invoked */
function LoadVMRandSRF()
{
	var docVMR = BrainVoyagerQX.OpenDocument(nameVMRinTal);
	docVMR.LoadMesh(ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_CLEAN_TAL_LH_RECOSM.srf");
	docVMR.AddMesh(ObjectsRawDataPath + "CG_3DT1MPR_SCRIPT_CLEAN_TAL_RH_RECOSM.srf");
	docVMR.AddMesh(ObjectsRawDataPath + "Ivo_head.srf");
	docVMR.Close();
}

function SurfaceViewpoints() {

	var docVMR = BrainVoyagerQX.OpenDocument(nameVMRinTal);
	docVMR.LoadMesh(ObjectsRawDataPath +  "CG_3DT1MPR_SCRIPT_CLEAN_TAL_RH_RECOSM.srf");
	BrainVoyagerQX.ShowLogTab();
	BrainVoyagerQX.PrintToLog("Changing viewpoints...");

	var i;
	//////////////////// X 
	var TrX = docVMR.ViewpointTranslationX;
	BrainVoyagerQX.PrintToLog("Translate X...");
	for(i=1; i<61; i++)	{
		docVMR.ViewpointTranslationX = TrX + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}
	for(i=61; i>1; i--)	{
		docVMR.ViewpointTranslationX = TrX - 6*i;  
		docVMR.UpdateSurfaceWindow();
	}	

	BrainVoyagerQX.PrintToLog("Rotate X...");	
	var RotX = docVMR.ViewpointRotationX; 
	for(i=1; i<61; i++)	{
		docVMR.ViewpointRotationX = RotX + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}

	//////////////////// Y 
	var TrY = docVMR.ViewpointTranslationY;
	BrainVoyagerQX.PrintToLog("Translate Y...");
	for(i=1; i<61; i++)	{
		docVMR.ViewpointTranslationY = TrY + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}
	BrainVoyagerQX.PrintToLog("Rotate Y...");	
	for(i=61; i>1; i--)	{
		docVMR.ViewpointTranslationY = TrY - 6*i;  
		docVMR.UpdateSurfaceWindow();
	}		
	var RotY = docVMR.ViewpointRotationY; 
	for(i=1; i<61; i++)	{
		docVMR.ViewpointRotationY = RotY + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}

	//////////////////// Z
	var TrZ = docVMR.ViewpointTranslationZ;
	BrainVoyagerQX.PrintToLog("Translate Z...");
	for(i=1; i<61; i++)	{
		docVMR.ViewpointTranslationZ = TrZ + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}
	for(i=61; i>1; i--)	{
		docVMR.ViewpointTranslationZ = TrZ - 6*i;  
		docVMR.UpdateSurfaceWindow();
	}		

	BrainVoyagerQX.PrintToLog("Rotate Z...");	
	var RotZ = docVMR.ViewpointRotationZ; 
	for(i=1; i<61; i++)	{
		docVMR.ViewpointRotationZ = RotZ + 6*i;  
		docVMR.UpdateSurfaceWindow();
	}

	docVMR.SaveSnapshotOfSurfaceWindow(ObjectsRawDataPath + "Surface.png");
	BrainVoyagerQX.PrintToLog("Finished.");
}
