

// Automatic isovoxelation requires header info of voxel size, which is available in almost all orig file formats (including Analyze)
// Automatic "ToSAG" requires slice position information, available in most but not all orig file formats (not Analyze)

var mainpath 	= "/Users/hester/Data/testdata/";
var nonisovmr 	= mainpath + "anat_non_iso/noniso.vmr";
var isovmr 		= mainpath + "anat_non_iso/iso.vmr";
var nonsagvmr 	= mainpath + "anat_non_sag/nonsag.vmr";
var nonsagisovmr 	= mainpath + "anat_non_sag/nonsagiso.vmr";
var sagvmr 		= mainpath + "anat_non_sag/sagiso.vmr";
var vmrname = "/Users/hester/Data/testdata/rfx/anatrfx.vmr";
var interpolation = 2; // Interpolation for isovoxalation: 1 - trilinear, 2 - cubic spline (recommended), 3 - sinc

// ~~ run all functions that are not commented (green) below ~~
//performIsoVoxel(nonisovmr, isovmr);
performIsoVoxel(nonsagvmr, nonsagisovmr);
performReorientToSagittal(nonsagisovmr, sagvmr);
Invert_VMR_Intensities(vmrname);

// ~~ not necessary to apply changes below ~~
function performIsoVoxel(vmrname, newname)
{
	var docVMR = BrainVoyagerQX.OpenDocument(vmrname);
	var ret = docVMR.AutoTransformToIsoVoxel(2, newname);
	if(!ret) {
		BrainVoyagerQX.PrintToLog("Did not succeed in isovoxelating " + vmrname);
	} else {
		BrainVoyagerQX.PrintToLog("Transformed VMR. Save to disk as: " + newname);
	}
	docVMR.Close();
} 

function performReorientToSagittal(vmrname, newname) 
{
	var docVMR = BrainVoyagerQX.OpenDocument(vmrname);
	var ret = docVMR.AutoTransformToSAG(newname);
	if(!ret) {
		BrainVoyagerQX.PrintToLog("Did not succeed in transforming " + vmrname + " to sagittal orientation.");
	} else {
		BrainVoyagerQX.PrintToLog("Transformed VMR. Save to disk as: " + newname);
	}
	docVMR.Close();
}

function Invert_VMR_Intensities(vmrname)
{
	var doc = BrainVoyagerQX.OpenDocument(vmrname);
	for(z=100; z<150; z++)	{
		for(y=100; y<150; y++)	{
			for(x=100; x<150; x++)	{
				doc.SetVoxelIntensity(x, y, z,  225 - doc.GetVoxelIntensity(x, y, z));
			}
		}
	}
}

